draw.points {Rgb} | R Documentation

## Scatter plot of a track

### Description

This function draws a slice of a track content, with a distinct point for each track element.

### Usage

      draw.points(slice, start, end, column = "value", colorVal = "#666666",
        colorFun = function() NULL, cex.lab = 1, cex = 0.6, pch = "+", bty = "o", ...)

### Arguments

`slice` | A `data.frame` holding the data to plot, with elements in rows and data in columns.
`start` | Single integer value, the left boundary of the window, in base pairs.
`end` | Single integer value, the right boundary of the window, in base pairs.
`column` | Single character value, the name of the `slice` column to use for bar heights.
`colorVal` | The color to fill bars with (as a name, an integer or an hexadecimal character description).
`colorFun` | A function with no arguments, which returns a vector of as many colors than the `slice` has rows. It can make use of any argument described on this page (including custom arguments passed via "..."), as its enclosing environment is redefined to the calling one. `colorVal` must be `NA` for the function to be used.
`cex.lab` | See `par`.
`cex` | See `par`.
`pch` | See `par`.
`bty` | See `par`.
`...` | Further arguments to be passed to `draw.bg`.

### Author(s)

Sylvain Mareschal

### See Also

`draw.bg`, `draw.boxes`, `draw.steps`, `draw.hist`, `draw.pileup`, `draw.seq`

[Package Rgb version 1.6.1 Index]